Subject: Re: bug#67196: M-: uses a wrong value of debug-on-error when it is nil.

From: Richard Stallman <[email-masked]>
Date: Tue, 26 Dec 2023 23:54:07 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

When I first implemented Emacs Lisp -- before there was an editor to
fit it into -- I was desperately trying to keep it small.
Thus, when implementing error handling, I did not try to represent
error daat in such a way that a handler could analyze the situation
or continue.  So I implemented condition-case and that's all.

handler-bind is a natural step forward, but it might be desirable to make
a way to handle an error and continue from where the error happened.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)